Bug 153443 - [WK2][NetworkCache] Enable speculative revalidation
Summary: [WK2][NetworkCache] Enable speculative revalidation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-25 13:34 PST by Chris Dumez
Modified: 2016-02-06 16:19 PST (History)
2 users (show)

See Also:


Attachments
Patch (1.76 KB, patch)
2016-01-25 13:38 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2016-01-25 13:34:54 PST
Enable speculative revalidation to better evaluate performance and robustness.
Comment 1 Chris Dumez 2016-01-25 13:38:41 PST
Created attachment 269786 [details]
Patch
Comment 2 Antti Koivisto 2016-01-25 14:02:45 PST
Comment on attachment 269786 [details]
Patch

gogo
Comment 3 Chris Dumez 2016-01-25 14:13:33 PST
Comment on attachment 269786 [details]
Patch

Clearing flags on attachment: 269786

Committed r195555: <http://trac.webkit.org/changeset/195555>
Comment 4 Chris Dumez 2016-01-25 14:13:38 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Chris Dumez 2016-02-03 09:09:52 PST
Reverted r195555 for reason:

Temporarily disable speculative revalidation to measure the impact on the bots

Committed r196067: <http://trac.webkit.org/changeset/196067>
Comment 6 Chris Dumez 2016-02-04 09:12:47 PST
Reverted r196067 for reason:

Re-enable speculative revalidation now that we have measured the impact on the perf bots

Committed r196124: <http://trac.webkit.org/changeset/196124>